org.eclipse.gef.dot.internal.language.validation

## Class DotJavaValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.gef.dot.internal.language.validation.AbstractDotJavaValidator
      - - org.eclipse.gef.dot.internal.language.validation.DotJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

    public class DotJavaValidator
    extends AbstractDotJavaValidator

Provides DOT-specific validation rules.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`org.eclipse.xtext.validation.AbstractDeclarativeValidator.MethodWrapper, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

### Field Summary

### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

`INSIGNIFICANT_INDEX`

### Fields inherited from interface org.eclipse.emf.ecore.EValidator

`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`DotJavaValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkEdgeOpCorrespondsToGraphType(org.eclipse.gef.dot.internal.language.dot.EdgeRhsNode edgeRhsNode)` Ensures that within `EdgeRhsNode`, '->' is used in directed graphs, while '--' is used in undirected graphs.
`void` `checkEdgeOpCorrespondsToGraphType(org.eclipse.gef.dot.internal.language.dot.EdgeRhsSubgraph edgeRhsSubgraph)` Ensures that within `EdgeRhsSubgraph` '->' is used in directed graphs, while '--' is used in undirected graphs.
`void` `checkValidAttributeValue(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)` Checks that within an `Attribute` only valid attribute values are used (dependent on context, in which the attribute is specified).
`void` `checkValidCombinationOfNodeShapeAndStyle(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)` Ensures that the 'striped' node style is used only for rectangularly-shaped nodes ('box', 'rect', 'rectangle' and 'square').

### Methods inherited from class org.eclipse.gef.dot.internal.language.validation.AbstractDotJavaValidator

`getEPackages`

### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, addIssue, addIssue, addIssue, addIssue, addIssue, addIssueToState, checkDone, checkIsFromCurrentlyCheckedResource, createDiagnostic, createDiagnostic, createMethodWrapper, error, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getIssueSeverities, getMessageAcceptor, guard, info, info, info, info, info, info, info, info, internalValidate, isIgnored, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning, warning`

### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotJavaValidator

    public DotJavaValidator()

### Method Detail

#### checkValidAttributeValue

    public void checkValidAttributeValue(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

Checks that within an `Attribute` only valid attribute values are used (dependent on context, in which the attribute is specified).

Parameters:
  `attribute` - The `Attribute` to validate.

#### checkValidCombinationOfNodeShapeAndStyle

    public void checkValidCombinationOfNodeShapeAndStyle(org.eclipse.gef.dot.internal.language.dot.Attribute attribute)

Ensures that the 'striped' node style is used only for rectangularly-shaped nodes ('box', 'rect', 'rectangle' and 'square').

Parameters:
  `attribute` - The node style attribute to validate.

#### checkEdgeOpCorrespondsToGraphType

    public void checkEdgeOpCorrespondsToGraphType(org.eclipse.gef.dot.internal.language.dot.EdgeRhsNode edgeRhsNode)

Ensures that within `EdgeRhsNode`, '->' is used in directed graphs, while '--' is used in undirected graphs.

Parameters:
  `edgeRhsNode` - The EdgeRhsNode to validate.

#### checkEdgeOpCorrespondsToGraphType

    public void checkEdgeOpCorrespondsToGraphType(org.eclipse.gef.dot.internal.language.dot.EdgeRhsSubgraph edgeRhsSubgraph)

Ensures that within `EdgeRhsSubgraph` '->' is used in directed graphs, while '--' is used in undirected graphs.

Parameters:
  `edgeRhsSubgraph` - The EdgeRhsSubgraph to validate.